﻿import { SchedulerPro, LocaleManager, ResourceModel, ProjectModel } from '/build/schedulerpro.module.js';
LocaleManager.applyLocale('EnGb');

export default class Orders extends ResourceModel {
    static get fields() {
        return [
            { name: 'DueDate', type: 'date' }
        ];
    }
}

let project = new ProjectModel({

    transport: {
        load: {
            url: 'data/testData.json'
        }
    },
    autoLoad: true,

    validateResponse: true
});

const scheduler = new SchedulerPro({

    resourceModelClass: Orders,

    appendTo: 'container',
    minHeight: '10em',
    flex: '1 1 50%',

    project,

    startDate: new Date(),
    endDate: addDays(new Date(), 90),
    viewPreset: 'dayAndWeek',
    eventStyle: 'plain',
    tickSize: 50,
    highlightSuccessors: true,
    highlightPredecessors: true,

    columns: [
        { text: 'Order', field: 'reference', width: 120 },
        { text: 'Stock Code', field: 'name', width: 100 },
        { text: 'Description', field: 'Description', width: 150 },
        { type: 'number', text: 'Qty Outstanding', field: 'QtyOutstanding', width: 120 },
        { text: 'Due Date', field: 'DueDate', width: 100, type: 'date', format: 'DD/MM/YYYY' }
    ],


 

});

function addDays(date, days) {
    var result = new Date(date);
    result.setDate(result.getDate() + days);
    return result;
};